Package org.eclipse.ui

# Interface SelectionListenerFactory.ISelectionModel

Enclosing class:
  `SelectionListenerFactory`

public static interface SelectionListenerFactory.ISelectionModel
A model containing selection values. A predicate can use this model to determine if a selection needs to be delivered. Clients do not have to implement this model. For usage information see the javadoc of `SelectionListenerFactory`.

## Method Summary

Modifier and Type
Method
Description
`ISelection`
`getCurrentSelection()`
`IWorkbenchPart`
`getCurrentSelectionPart()`
`ISelection`
`getLastDeliveredSelection()`
`IWorkbenchPart`
`getLastDeliveredSelectionPart()`
`IWorkbenchPart`
`getTargetPart()`
`boolean`
`isSelectionPartVisible()`
`boolean`
`isTargetPartVisible()`

## Method Details

### getTargetPart

IWorkbenchPart getTargetPart()

Returns:
  our part, never null.

### getCurrentSelection

ISelection getCurrentSelection()

Returns:
  the current selection, could be null if your listener implements `INullSelectionListener`.;

### getCurrentSelectionPart

IWorkbenchPart getCurrentSelectionPart()

Returns:
  the part from which the selection originated, could be null if your listener implements `INullSelectionListener`.

### getLastDeliveredSelection

ISelection getLastDeliveredSelection()

Returns:
  the selection that was lastly delivered to us, could be null.

### getLastDeliveredSelectionPart

IWorkbenchPart getLastDeliveredSelectionPart()

Returns:
  the part from which the last delivered selection originated, could be null.

### isTargetPartVisible

boolean isTargetPartVisible()

Returns:
  true if the target part is visible

### isSelectionPartVisible

boolean isSelectionPartVisible()

Returns:
  true if the selection part is visible